Page MenuHomePhabricator

PageViewInfo extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the PageViewInfo PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/PageViewInfo : masterAdd some @coversNothing tags

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM
Vvjjkkii renamed this task from PageViewInfo extension is missing @covers tags to fmcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from fmcaaaaaaa to PageViewInfo extension is missing @covers tags.Jul 1 2018, 5:12 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 448840 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/PageViewInfo@master] Add some @coversNothing tags

https://gerrit.wikimedia.org/r/448840

Change 448840 merged by jenkins-bot:
[mediawiki/extensions/PageViewInfo@master] Add some @coversNothing tags

https://gerrit.wikimedia.org/r/448840

Legoktm closed this task as Resolved.Jul 29 2018, 11:34 PM
Legoktm claimed this task.